#!/bin/bash
set -e

pkg=sumatra

export LC_ALL=C.UTF-8
if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
  # Double quote below to expand the temporary directory variable now versus
  # later is on purpose.
  # shellcheck disable=SC2064
  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
fi

cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"

cd "${AUTOPKGTEST_TMP}"

sh alignmentIdenticalInputs
if [ $? -eq 0 ]; then
  echo "Test alignmentIdenticalInputs PASSED"
else
  echo "Test alignmentIdenticalInputs FAILED"
fi

sh alignmentOneInput
if [ $? -eq 0 ]; then
  echo "Test alignmentOneInput PASSED"
else
  echo "Test alignmentOneInput FAILED"
fi

sh alignmentTwoInputsTwoThresholds
if [ $? -eq 0 ]; then
  echo "Test alignmentTwoInputsTwoThresholds PASSED"
else
  echo "Test alignmentTwoInputsTwoThresholds FAILED"
fi

